Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class MigrationUtilityException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.MigrationUtilityException`

All Implemented Interfaces:
  java.io.Serializable

public class MigrationUtilityException
extends TopLinkException

Purpose: Wrapper for any exception that occurred through native CMP migration process.

See Also:
  Serialized Form

Field Summary
`static int` | `CMP_DESCRIPTOR_NOT_FOUND_IN_JAR`
`static int` | `EJB_SELECT_NOT_DEFINED_IN_ENTITY_BEAN_CLASS`
`static int` | `ENTITY_IN_ORION_NOT_IN_EJB_JAR`
`static int` | `ENTITY_IN_WLS_CMP_JAR_NOT_DEFINED_IN_WLS_EJB_JAR`
`static int` | `ENTITY_NOT_MAPPED_IN_ORION`
`static int` | `FAIL_TO_LOAD_CLASS_FOR_QUERY`
`static int` | `FAILED_TO_CLOSE_STREAM`
`static int` | `FAILED_TO_CLOSE_ZIPFILE`
`static int` | `FAILED_TO_CREATE_DIRECTORY`
`static int` | `FAILED_TO_CREATE_JAR_CLASSLOADER`
`static int` | `FAILED_TO_READ_INPUTSTREAM`
`static int` | `FILE_NOT_ACCESSIBLE`
`static int` | `FILE_NOT_DELETABLE`
`static int` | `FINDER_NOT_DEFINED_IN_ENTITY_HOME`
`static int` | `JAR_FILE_NOT_ACCESSIBLE`
`static int` | `NO_ENTITY_DEFINED_IN_WLS_CMP_JAR`
`static int` | `NOT_ALL_ENTITIES_IN_EJB_JAR_MAPPED_IN_ORION`
`static int` | `QUERY_NOT_WELL_DEFINED`
`static int` | `WLS_CMP_DESCRIPTOR_FILE_NOT_FOUND`
`static int` | `WLS_MULTIPLE_JARS_WITH_INPUT_ORION_NOT_SUPPORTED`

Constructor Summary
`MigrationUtilityException(java.lang.String message)`

Method Summary
`static MigrationUtilityException` | `cmpDescriptorFileNotFoundInJar(java.lang.String jarFileName, java.lang.String cmpDescriptorName)`
`static MigrationUtilityException` | `ejbSelectNotDefinedInEntityBeanClass(java.lang.String ejbSelectName, java.lang.Class[] params, java.lang.String entityName)`
`static MigrationUtilityException` | `entityInWlsCmpJarNotDefinedInWlsEjbJar(java.lang.String entityName)`
`static MigrationUtilityException` | `entityNameNotSpecifiedInEjbJar(java.lang.String entityNameInOrionEjbJar)`
`static MigrationUtilityException` | `entityNotMappedInOrion(java.lang.String entityName)`
`static MigrationUtilityException` | `failedToCloseStream(java.lang.Exception internalEx)`
`static MigrationUtilityException` | `failedToCloseZipFile(java.lang.String filePath, java.lang.Exception internalEx)`
`static MigrationUtilityException` | `failedToCreateDirectory(java.lang.String directoryPath, java.lang.Exception internalEx)`
`static MigrationUtilityException` | `failedToCreateJarClassloader(java.lang.String jarUrlFile, java.lang.Exception internalEx)`
`static MigrationUtilityException` | `failedToReadInputstream(java.lang.Exception internalEx)`
`static MigrationUtilityException` | `failToLoadClassForQuery(java.lang.String queryName, java.lang.String paramType, java.lang.String entityName)`
`static MigrationUtilityException` | `fileNotAccessible(java.lang.String filePath, java.lang.Exception internalEx)`
`static MigrationUtilityException` | `fileNotDeletable(java.lang.String filePath, java.lang.Exception internalEx)`
`static MigrationUtilityException` | `finderNotDefinedInEntityHome(java.lang.String finderName, java.lang.Class[] params, java.lang.String entityName)`
`static MigrationUtilityException` | `jarFileNotAccessible(java.lang.String jarFilePath, java.lang.Exception internalEx)`
`static MigrationUtilityException` | `multipleWlsMigratableJarsWithInputOrionXmlNotSupported(java.lang.String earFilePath)`
`static MigrationUtilityException` | `noEntityDefinedInWlsCmpJar()`
`static MigrationUtilityException` | `notAllEntitiesInEjbJarMappedInOrion(java.util.List notMappedEntities, java.lang.String jarFileName)`
`static MigrationUtilityException` | `queryNotWellDefined(java.lang.String queryName, java.lang.Class[] params, java.lang.String entityName)`
`static MigrationUtilityException` | `wlsCmpDescriptorFileNotFound(java.lang.String cmpDescFileName, java.lang.String fileDrectory, java.lang.Exception internalEx)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WLS_MULTIPLE_JARS_WITH_INPUT_ORION_NOT_SUPPORTED

    public static final int WLS_MULTIPLE_JARS_WITH_INPUT_ORION_NOT_SUPPORTED

  See Also:
    Constant Field Values

### FAILED_TO_CREATE_JAR_CLASSLOADER

    public static final int FAILED_TO_CREATE_JAR_CLASSLOADER

  See Also:
    Constant Field Values

### FAILED_TO_CREATE_DIRECTORY

    public static final int FAILED_TO_CREATE_DIRECTORY

  See Also:
    Constant Field Values

### FILE_NOT_ACCESSIBLE

    public static final int FILE_NOT_ACCESSIBLE

  See Also:
    Constant Field Values

### FILE_NOT_DELETABLE

    public static final int FILE_NOT_DELETABLE

  See Also:
    Constant Field Values

### FAILED_TO_READ_INPUTSTREAM

    public static final int FAILED_TO_READ_INPUTSTREAM

  See Also:
    Constant Field Values

### FAILED_TO_CLOSE_STREAM

    public static final int FAILED_TO_CLOSE_STREAM

  See Also:
    Constant Field Values

### FAILED_TO_CLOSE_ZIPFILE

    public static final int FAILED_TO_CLOSE_ZIPFILE

  See Also:
    Constant Field Values

### JAR_FILE_NOT_ACCESSIBLE

    public static final int JAR_FILE_NOT_ACCESSIBLE

  See Also:
    Constant Field Values

### QUERY_NOT_WELL_DEFINED

    public static final int QUERY_NOT_WELL_DEFINED

  See Also:
    Constant Field Values

### FAIL_TO_LOAD_CLASS_FOR_QUERY

    public static final int FAIL_TO_LOAD_CLASS_FOR_QUERY

  See Also:
    Constant Field Values

### FINDER_NOT_DEFINED_IN_ENTITY_HOME

    public static final int FINDER_NOT_DEFINED_IN_ENTITY_HOME

  See Also:
    Constant Field Values

### EJB_SELECT_NOT_DEFINED_IN_ENTITY_BEAN_CLASS

    public static final int EJB_SELECT_NOT_DEFINED_IN_ENTITY_BEAN_CLASS

  See Also:
    Constant Field Values

### ENTITY_IN_WLS_CMP_JAR_NOT_DEFINED_IN_WLS_EJB_JAR

    public static final int ENTITY_IN_WLS_CMP_JAR_NOT_DEFINED_IN_WLS_EJB_JAR

  See Also:
    Constant Field Values

### NO_ENTITY_DEFINED_IN_WLS_CMP_JAR

    public static final int NO_ENTITY_DEFINED_IN_WLS_CMP_JAR

  See Also:
    Constant Field Values

### WLS_CMP_DESCRIPTOR_FILE_NOT_FOUND

    public static final int WLS_CMP_DESCRIPTOR_FILE_NOT_FOUND

  See Also:
    Constant Field Values

### CMP_DESCRIPTOR_NOT_FOUND_IN_JAR

    public static final int CMP_DESCRIPTOR_NOT_FOUND_IN_JAR

  See Also:
    Constant Field Values

### NOT_ALL_ENTITIES_IN_EJB_JAR_MAPPED_IN_ORION

    public static final int NOT_ALL_ENTITIES_IN_EJB_JAR_MAPPED_IN_ORION

  See Also:
    Constant Field Values

### ENTITY_NOT_MAPPED_IN_ORION

    public static final int ENTITY_NOT_MAPPED_IN_ORION

  See Also:
    Constant Field Values

### ENTITY_IN_ORION_NOT_IN_EJB_JAR

    public static final int ENTITY_IN_ORION_NOT_IN_EJB_JAR

  See Also:
    Constant Field Values

Constructor Detail

### MigrationUtilityException

    public MigrationUtilityException(java.lang.String message)

Method Detail

### multipleWlsMigratableJarsWithInputOrionXmlNotSupported

    public static MigrationUtilityException multipleWlsMigratableJarsWithInputOrionXmlNotSupported(java.lang.String earFilePath)

### failedToCreateJarClassloader

    public static MigrationUtilityException failedToCreateJarClassloader(java.lang.String jarUrlFile,
                                                                         java.lang.Exception internalEx)

### failedToCreateDirectory

    public static MigrationUtilityException failedToCreateDirectory(java.lang.String directoryPath,
                                                                    java.lang.Exception internalEx)

### fileNotAccessible

    public static MigrationUtilityException fileNotAccessible(java.lang.String filePath,
                                                              java.lang.Exception internalEx)

### fileNotDeletable

    public static MigrationUtilityException fileNotDeletable(java.lang.String filePath,
                                                             java.lang.Exception internalEx)

### failedToReadInputstream

    public static MigrationUtilityException failedToReadInputstream(java.lang.Exception internalEx)

### failedToCloseStream

    public static MigrationUtilityException failedToCloseStream(java.lang.Exception internalEx)

### failedToCloseZipFile

    public static MigrationUtilityException failedToCloseZipFile(java.lang.String filePath,
                                                                 java.lang.Exception internalEx)

### jarFileNotAccessible

    public static MigrationUtilityException jarFileNotAccessible(java.lang.String jarFilePath,
                                                                 java.lang.Exception internalEx)

### queryNotWellDefined

    public static MigrationUtilityException queryNotWellDefined(java.lang.String queryName,
                                                                java.lang.Class[] params,
                                                                java.lang.String entityName)

### failToLoadClassForQuery

    public static MigrationUtilityException failToLoadClassForQuery(java.lang.String queryName,
                                                                    java.lang.String paramType,
                                                                    java.lang.String entityName)

### finderNotDefinedInEntityHome

    public static MigrationUtilityException finderNotDefinedInEntityHome(java.lang.String finderName,
                                                                         java.lang.Class[] params,
                                                                         java.lang.String entityName)

### ejbSelectNotDefinedInEntityBeanClass

    public static MigrationUtilityException ejbSelectNotDefinedInEntityBeanClass(java.lang.String ejbSelectName,
                                                                                 java.lang.Class[] params,
                                                                                 java.lang.String entityName)

### entityInWlsCmpJarNotDefinedInWlsEjbJar

    public static MigrationUtilityException entityInWlsCmpJarNotDefinedInWlsEjbJar(java.lang.String entityName)

### noEntityDefinedInWlsCmpJar

    public static MigrationUtilityException noEntityDefinedInWlsCmpJar()

### wlsCmpDescriptorFileNotFound

    public static MigrationUtilityException wlsCmpDescriptorFileNotFound(java.lang.String cmpDescFileName,
                                                                         java.lang.String fileDrectory,
                                                                         java.lang.Exception internalEx)

### cmpDescriptorFileNotFoundInJar

    public static MigrationUtilityException cmpDescriptorFileNotFoundInJar(java.lang.String jarFileName,
                                                                           java.lang.String cmpDescriptorName)

### notAllEntitiesInEjbJarMappedInOrion

    public static MigrationUtilityException notAllEntitiesInEjbJarMappedInOrion(java.util.List notMappedEntities,
                                                                                java.lang.String jarFileName)

### entityNotMappedInOrion

    public static MigrationUtilityException entityNotMappedInOrion(java.lang.String entityName)

### entityNameNotSpecifiedInEjbJar

    public static MigrationUtilityException entityNameNotSpecifiedInEjbJar(java.lang.String entityNameInOrionEjbJar)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD